Bug 1998291 - Change Puma defaults to match recommendations from Puma documentation [NEEDINFO]
Summary: Change Puma defaults to match recommendations from Puma documentation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.10.0
Assignee: Eric Helms
QA Contact: Devendra Singh
URL:
Whiteboard:
: 2001229 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-26 18:44 UTC by Eric Helms
Modified: 2022-07-19 16:17 UTC (History)
6 users (show)

Fixed In Version: satellite-installer-6.10.0.7-1.el7sat, foreman-installer-2.5.2.4-1.el7sat,foreman-installer-2.5.2.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1998309 (view as bug list)
Environment:
Last Closed: 2021-11-16 14:13:37 UTC
Target Upstream Version:
saydas: needinfo? (ehelms)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33277 0 None None None 2021-08-26 18:44:48 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:45 UTC

Description Eric Helms 2021-08-26 18:44:47 UTC

Comment 1 Eric Helms 2021-08-26 18:44:50 UTC
Created from redmine issue https://projects.theforeman.org/issues/33277

Comment 2 Eric Helms 2021-08-26 18:44:52 UTC
Upstream bug assigned to ehelms

Comment 3 Bryan Kearney 2021-08-26 20:05:22 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33277 has been resolved.

Comment 6 Brad Buckingham 2021-09-07 13:07:21 UTC
*** Bug 2001229 has been marked as a duplicate of this bug. ***

Comment 7 Brad Buckingham 2021-09-07 13:08:51 UTC
This bugzilla is required to resolve the behavior observed in bug 2001229.

Comment 10 Devendra Singh 2021-09-13 14:57:20 UTC
Verified on 6.10 Snap18

1- Created the base version of the Satellite setup using 6.9.4 GA template.
2- Checked the thread FOREMAN_PUMA_WORKERS, FOREMAN_PUMA_THREADS_MIN and FOREMAN_PUMA_THREADS_MAX and they were 2, 0, and 16 respectively.

# systemctl cat foreman.service
# /usr/lib/systemd/system/foreman.service
[Unit]
..........
..........
Environment=FOREMAN_PORT=3000
Environment=FOREMAN_PUMA_THREADS_MIN=0
Environment=FOREMAN_PUMA_THREADS_MAX=16
Environment=FOREMAN_PUMA_WORKERS=2

3- Ran the upgrade from 6.9.4 to 6.10.0 Snap18.
4- Upgrade completed successfully.
5- The CPU and Memory of this machine were 20Gig's of RAM and 6 Core CPU.
6- As per the puma documentation, the size of the worker should be a multiplication of 1.5, On this setup, we have 6 cores hence the worker count is 9 correct.

6 * 1.5 = 9

# ps -aux | grep puma
root      1660  0.0  0.0 112812   976 pts/0    S+   10:50   0:00 grep --color=auto puma
foreman  85144  0.2  2.2 944524 463224 ?       Ssl  05:06   0:54 puma 5.3.2 (unix:///run/foreman.sock) [foreman]
foreman  85215  0.0  2.3 982176 473852 ?       Sl   05:07   0:05 puma: cluster worker 0: 85144 [foreman]
foreman  85220  0.0  3.0 1161132 627200 ?      Sl   05:07   0:12 puma: cluster worker 1: 85144 [foreman]
foreman  85226  0.0  3.1 1226588 634132 ?      Sl   05:07   0:14 puma: cluster worker 2: 85144 [foreman]
foreman  85232  0.0  2.3 975180 476036 ?       Sl   05:07   0:05 puma: cluster worker 3: 85144 [foreman]
foreman  85238  0.0  3.1 1207544 639008 ?      Sl   05:07   0:13 puma: cluster worker 4: 85144 [foreman]
foreman  85245  0.0  3.1 1239024 640004 ?      Sl   05:07   0:13 puma: cluster worker 5: 85144 [foreman]
foreman  85247  0.0  3.0 1194188 622320 ?      Sl   05:07   0:12 puma: cluster worker 6: 85144 [foreman]
foreman  85249  0.1  3.4 1232596 699432 ?      Sl   05:07   0:35 puma: cluster worker 7: 85144 [foreman]
foreman  85263  0.0  3.0 1123360 620512 ?      Sl   05:07   0:11 puma: cluster worker 8: 85144 [foreman]

7- Checked the thread  FOREMAN_PUMA_THREADS_MIN and FOREMAN_PUMA_THREADS_MAX and they were equal.

# systemctl cat foreman.service
# /usr/lib/systemd/system/foreman.service
[Unit]
Description=Foreman
..........
..........
[Service]
User=foreman
Environment=FOREMAN_ENV=production
Environment=FOREMAN_HOME=/usr/share/foreman
Environment=FOREMAN_PUMA_THREADS_MIN=5
Environment=FOREMAN_PUMA_THREADS_MAX=5
Environment=FOREMAN_PUMA_WORKERS=9

8- Verified the fixed in version package.

# rpm -qa|grep -e satellite-installer -e foreman-installer -e foreman-installer
satellite-installer-6.10.0.7-1.el7sat.noarch
foreman-installer-2.5.2.4-1.el7sat.noarch

Comment 14 errata-xmlrpc 2021-11-16 14:13:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.